> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/reference/software-development-kits/sdks/auth-api-sdks.md).

# Auth SDKs

The Auth SDK wraps the Auth API and is designed for developers who build applications in Go. All API operations are performed over SSL and authenticated using your <code class="expression">space.vars.ionos\_cloud</code> portal credentials. The API can be accessed within an instance running in <code class="expression">space.vars.ionos\_cloud</code> or directly over the Internet from any application that can send an HTTPS request and receive an HTTPS response.

| ![](/files/mfEvQBZpj3iNbuif3GkZ) | [<mark style="color:blue;">**GOLang SDK**</mark>](https://docs.ionos.com/auth-sdk-golang/) | [<mark style="color:blue;">**GitHub Repo**</mark>](https://github.com/ionos-cloud/sdk-go-auth) | [<mark style="color:blue;">**Latest Release**</mark>](https://github.com/ionos-cloud/sdk-go-auth/releases/tag/v1.0.1) |
| :------------------------------: | ------------------------------------------------------------------------------------------ | ---------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/reference/software-development-kits/sdks/auth-api-sdks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
